Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003028 [JEDI VCL] 00 JVCL Components major always 2005-06-10 08:29 2005-08-09 09:32
Reporter germain View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003028: Bug in TJvCheckTreeView
Description when the moveTo method is used to move a node to another location in the treeview, the checkbox is not moved (property .checkbox[node]:=true of the treeview)

style:cbsJVCL
cascadeLevel:-1
Additional Information i was not able to make them appear again after with setting the .checkbox[node] to true.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007471)
user72
2005-06-16 06:34

The checkbox support is based on the value of the StateIndex property of the node and this property should be copied when you call MoveTo AFAIAA.

Have you tried calling JvCheckTreeView1.Invalidate after the MoveTo?
(0007564)
germain (reporter)
2005-07-15 14:28

sorry for taking so much time to respond..

i tried the invalide method but without success
(0007750)
obones (administrator)
2005-08-09 09:31

This is now fixed in CVS.

- Issue History
Date Modified Username Field Change
2005-06-10 08:29 germain New Issue
2005-06-16 06:34 user72 Note Added: 0007471
2005-07-12 05:00 user72 Status new => feedback
2005-07-15 14:28 germain Note Added: 0007564
2005-08-09 09:31 obones Status feedback => resolved
2005-08-09 09:31 obones Resolution open => fixed
2005-08-09 09:31 obones Assigned To => obones
2005-08-09 09:31 obones Note Added: 0007750
2005-08-09 09:32 obones Note Added: 0007751
2005-08-09 09:50 obones Note Deleted: 0007751


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker